Magick++: Magick::ImageRef Class Reference

Magick++ 7.1.0

Public Member Functions | Static Public Member Functions | List of all members
Magick::ImageRef Class Reference

`#include <ImageRef.h>`

## Public Member Functions
| ImageRef (void)
| ImageRef (MagickCore::Image *image_)
| ~ImageRef (void)
size_t | decrease ()
MagickCore::Image *& | image (void)
void | increase ()
bool | isShared ()
void | options (Options *options_)
Options * | options (void)
std::string | signature (const bool force_=false)

## Static Public Member Functions
static ImageRef * | replaceImage (ImageRef *imgRef, MagickCore::Image *replacement_)

## Detailed Description

Definition at line 28 of file ImageRef.h.

## Constructor & Destructor Documentation

## ◆ ImageRef() [1/2]

Magick::ImageRef::ImageRef | ( | void |  | ) |

Definition at line 20 of file ImageRef.cpp.

References GetPPException, Magick::Options::imageInfo(), and ThrowPPException.

## ◆ ImageRef() [2/2]

Magick::ImageRef::ImageRef | ( | MagickCore::Image * | image_ | ) |

Definition at line 31 of file ImageRef.cpp.

## ◆ ~ImageRef()

Magick::ImageRef::~ImageRef | ( | void |  | ) |

Definition at line 39 of file ImageRef.cpp.

References Magick::Image.

## Member Function Documentation

## ◆ decrease()

size_t Magick::ImageRef::decrease | ( |  | ) |

Definition at line 50 of file ImageRef.cpp.

References Magick::throwExceptionExplicit().

## ◆ image()

MagickCore::Image *& Magick::ImageRef::image | ( | void |  | ) |

Definition at line 68 of file ImageRef.cpp.

## ◆ increase()

void Magick::ImageRef::increase | ( |  | ) |

Definition at line 73 of file ImageRef.cpp.

Referenced by Magick::Image::Image(), and Magick::Image::operator=().

## ◆ isShared()

bool Magick::ImageRef::isShared | ( |  | ) |

Definition at line 80 of file ImageRef.cpp.

## ◆ options() [1/2]

void Magick::ImageRef::options | ( | Magick::Options * | options_ | ) |

Definition at line 91 of file ImageRef.cpp.

Referenced by Magick::Image::Image().

## ◆ options() [2/2]

Magick::Options * Magick::ImageRef::options | ( | void |  | ) |

Definition at line 97 of file ImageRef.cpp.

## ◆ replaceImage()

Magick::ImageRef * Magick::ImageRef::replaceImage | ( | ImageRef * | imgRef,
|  | MagickCore::Image * | replacement_
| ) |  |
| static

Definition at line 102 of file ImageRef.cpp.

References Magick::Image, Magick::MutexLock::lock(), and Magick::MutexLock::unlock().

Referenced by Magick::Image::replaceImage().

## ◆ signature()

std::string Magick::ImageRef::signature | ( | const bool | force_ = `false` | ) |

Definition at line 128 of file ImageRef.cpp.

References GetPPException, and ThrowPPException.

The documentation for this class was generated from the following files:

- ImageRef.h
- ImageRef.cpp